package com.adealink.weparty.module.wallet.viewmodel

import androidx.lifecycle.LiveData

interface IWalletViewModel {

    val coinLD: LiveData<Double>
    val diamondLD: LiveData<Double>

    val beanLD: LiveData<Double>

    fun refreshWalletData()

    fun getCoin(): Double

    fun getDiamond(): Double

    fun getBean(): Double

}